## org.eclipse.m2m.atl.dsls.tcs.extractor
Interface TCSExtractorStream

All Known Implementing Classes:
  TCSExtractorPrintStream

    public interface TCSExtractorStream

Method Summary
`void` `close()`
`void` `debug(java.lang.String string)`
`void` `printBoolean(boolean v)`
`void` `printComment(java.lang.String c)`
`void` `printEscapedIdentifier(java.lang.String identEscStart, java.lang.String ident, java.lang.String identEscEnd)`
`void` `printIdentifier(java.lang.String ident)`
`void` `printInteger(int v)`
`void` `printKeyword(java.lang.String keyword)`
`void` `printReal(java.lang.String string)`
`void` `printString(java.lang.String stringDelim, java.lang.String v)`
`void` `printSymbol(java.lang.String symbol)`
`void` `printWhiteSpace(java.lang.String ws)`

Method Detail

### close

    void close()

### debug

    void debug(java.lang.String string)

### printWhiteSpace

    void printWhiteSpace(java.lang.String ws)

### printKeyword

    void printKeyword(java.lang.String keyword)

### printSymbol

    void printSymbol(java.lang.String symbol)

### printIdentifier

    void printIdentifier(java.lang.String ident)

### printEscapedIdentifier

    void printEscapedIdentifier(java.lang.String identEscStart,
                                java.lang.String ident,
                                java.lang.String identEscEnd)

### printBoolean

    void printBoolean(boolean v)

### printInteger

    void printInteger(int v)

### printReal

    void printReal(java.lang.String string)

### printString

    void printString(java.lang.String stringDelim,
                     java.lang.String v)

### printComment

    void printComment(java.lang.String c)

Copyright 2007 IBM Corporation and others. All Rights Reserved.